<?php
	$total	 = $_POST['total'];
	$angka = (int) $total;
	$huruf  ='';
	$huruf1='';
	
	$angka1 = substr($angka,0,1);
	$angka2 = substr($angka,1,1);
	
	if($angka1==1){
		if($angka2==0)
			$huruf='Sepuluh ';
		else if($angka2==1)
			$huruf='Sebelas ';
		else if($angka2==2)
			$huruf='Dua belas ';
		else if($angka2==3)
			$huruf='Tiga belas ';
		else if($angka2==4)
			$huruf='Empat belas ';
		else if($angka2==5)
			$huruf='Lima belas ';			
		else if($angka2==6)
			$huruf='Enam belas ';
		else if($angka2==7)
			$huruf='Tujuh belas ';
		else if($angka2==8)
			$huruf='Delapan belas ';
		else $huruf='Sembilan belas ';
		$huruf1=$huruf1.$huruf;
		
	}else{
		if($angka1==2)
			$huruf='Dua ';		
		else if($angka1==3)
			$huruf='Tiga ';
		else if($angka1==4)
			$huruf='Empat ';
		else if($angka1==5)
			$huruf='Lima ';
		else if($angka1==6)
			$huruf='Enam ';
		else if($angka1==7)
			$huruf='Tujuh ';
		else if($angka1==8)
			$huruf='Delapan ';
		else	$huruf='Sembilan ';					
		$huruf1=$huruf1.$huruf.'puluh ';
		
		if($angka2==0)
			$huruf='';			
		else if($angka2==1)
			$huruf='satu ';			
		else if($angka2==2)
			$huruf='dua ';			
		else if($angka2==3)
			$huruf='tiga ';			
		else if($angka2==4)
			$huruf='empat ';			
		else if($angka2==5)
			$huruf='lima ';
		else if($angka2==6)
			$huruf='enam ';
		else if($angka2==7)
			$huruf='tujuh ';
		else if($angka2==8)
			$huruf='delapan ';
		else $huruf='sembilan ';
		$huruf1=$huruf1.$huruf;
	}
	
	$huruf1=$huruf1.'rupiah';
	$data['terbilang']=$huruf1;	
	echo json_encode($data);
?>
